--[[ Remember and autofill last person mailed, based on Mailchecker/Easymail/et al ]]--
Postal_DejaVu = AceLibrary("AceAddon-2.0"):new("AceHook-2.1")

function Postal_DejaVu:OnEnable()
  self:Hook("SendMailFrame_Reset", true)
  self:Hook("MailFrameTab_OnClick", true)
  self:Hook("SendMailFrame_SendMail", true)
  self:HookScript(SendMailNameEditBox, "OnChar", "ArrowHandler")
  SendMailNameEditBox:SetHistoryLines(15)
end

function Postal_DejaVu:SendMailFrame_Reset()
  if not Postal_LastMailed then Postal_LastMailed = SendMailNameEditBox:GetText() end
  self.hooks["SendMailFrame_Reset"]()
  if Postal_LastMailed then
    SendMailNameEditBox:SetText(Postal_LastMailed)
    SendMailNameEditBox:HighlightText()
  end
end

function Postal_DejaVu:SendMailFrame_SendMail()
  Postal_LastMailed = SendMailNameEditBox:GetText()
  SendMailNameEditBox:AddHistoryLine(Postal_LastMailed) 
  self.hooks["SendMailFrame_SendMail"]()
end

function Postal_DejaVu:MailFrameTab_OnClick(tab)
  self.hooks["MailFrameTab_OnClick"](tab)
  if Postal_LastMailed and not SendMailNameEditBox:GetText() then
    SendMailNameEditBox:SetText(Postal_LastMailed)
    SendMailNameEditBox:HighlightText()
  end
end
